Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.emv.mgmt
Class EMVCardServiceFactory

    java.lang.Object
      opencard.core.service.CardServiceFactory
          opencard.opt.emv.mgmt.EMVCardServiceFactory

    public class EMVCardServiceFactory

extends CardServiceFactory

A primitive factory for creating `BasicEMVAppletAccess` Card Services. This factory includes no Card Recognition and assumes to handle EMV compliant cards. The factory is intended for usage when testing the AppletAccessCardService with EMV cards.

Version:
  $Id: EMVCardServiceFactory.java,v 1.1 1999/11/23 10:24:17 damke Exp $
Author:
  Thomas Stober (tms@de.ibm.com)
See Also:
  `AppletAccessCardService`, `AbstractAppletAccessor`

Constructor Summary
`EMVCardServiceFactory()`

Method Summary
`CardType` | `getCardType(CardID cid, CardServiceScheduler scheduler)` Checks whether this factory can instantiate services for a given card.
`protected java.util.Enumeration` | `getClasses(CardType type)` Return an enumeration of known `CardService` classes.

Methods inherited from class opencard.core.service.CardServiceFactory
`getCardServiceInstance, getClassFor, newCardServiceInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMVCardServiceFactory

    public EMVCardServiceFactory()

Method Detail

### getClasses

    protected java.util.Enumeration getClasses(CardType type)

  Return an enumeration of known `CardService` classes.

  Specified by:
    `getClasses` in class `CardServiceFactory`
  Parameters:
    `type` - The `CardType` of the smart card for which the enumeration is requested.
  Returns:
    An `Enumeration` of class objects.

### getCardType

    public CardType getCardType(CardID cid,
                                CardServiceScheduler scheduler)

  Checks whether this factory can instantiate services for a given card.

  Specified by:
    `getCardType` in class `CardServiceFactory`
  Parameters:
    `cid` - A `CardID` received from a `Slot`.
    `scheduler` - A `CardServiceScheduler` that can be used to communicate with the card to determine its type.
  Returns:
    A valid CardType if the factory can instantiate services for this card. CardType.UNSUPPORTED if the factory does not know the card.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD